Skip to content
GAMPEONCreate
New project

Change a channel

PATCH
/v1/communities/{id}/channels/{channelId}
curl --request PATCH \
--url https://api.gampeon.com/v1/communities/1/channels/1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "topic": "example", "slowmode": 1, "parentId": 1, "overrides": [ { "roleId": 1, "allow": 1, "deny": 1 } ], "position": 1, "userLimit": 1 }'

Needs manageChannels. overrides replaces all overrides of the channel. position is the index in the full channel list (categories included).

Not available with access tokens.

id
required
integer
>= 1

Community ID

channelId
required
integer
>= 1

Channel ID

Media typeapplication/json
object
name
string
topic
string
<= 300 characters
slowmode
integer
<= 21600
parentId
One of:
integer
overrides
Array<object>
object
roleId
required
integer
allow
required

Bits allowed in this channel

integer
deny
required

Bits denied in this channel

integer
position
integer
userLimit

Only voice channels. 0 is no limit

integer
<= 99

Example generated

{
"name": "example",
"topic": "example",
"slowmode": 1,
"parentId": 1,
"overrides": [
{
"roleId": 1,
"allow": 1,
"deny": 1
}
],
"position": 1,
"userLimit": 1
}

Changed fields

Media typeapplication/json
object
updated
required
Array<string>

Example generated

{
"updated": [
"example"
]
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, missing_permission

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback